# Tokens

These endpoints retrieve all tokens, a filtered list of tokens, or a specific token, as well as allowing you to cancel an existing token.

## Get tokens

 - [GET /tokens](https://docs.token.io/products/tpp/api/reference/tokens/gatewayservice.gettokens.md): The GET /tokens endpoint retrieves a list of all tokens for the authenticated member.

## Get a token

 - [GET /tokens/{tokenId}](https://docs.token.io/products/tpp/api/reference/tokens/gatewayservice.gettoken.md): The GET /tokens/{tokenId} endpoint retrieves information about a specific token for the authenticated member.

## Cancel a token

 - [PUT /tokens/{tokenId}/cancel](https://docs.token.io/products/tpp/api/reference/tokens/gatewayservice.canceltoken.md): The PUT /tokens/{tokenId}/cancel endpoint cancels a given token.

